From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ini2toml/
Date: Fri, 25 Nov 2022 05:14:39 +0000 (UTC) [thread overview]
Message-ID: <1669353274.6dc4578b5cee50fbc3ec3c0f403d3137c7d48621.mgorny@gentoo> (raw)
commit: 6dc4578b5cee50fbc3ec3c0f403d3137c7d48621
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 25 05:10:22 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 05:14:34 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6dc4578b
dev-python/ini2toml: Bump to 0.11.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/ini2toml/Manifest | 1 +
dev-python/ini2toml/ini2toml-0.11.3.ebuild | 51 ++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-python/ini2toml/Manifest b/dev-python/ini2toml/Manifest
index 5a46ee3db533..4717cd33a384 100644
--- a/dev-python/ini2toml/Manifest
+++ b/dev-python/ini2toml/Manifest
@@ -1,2 +1,3 @@
DIST ini2toml-0.11.1.gh.tar.gz 93986 BLAKE2B ec5cd963626b5391663b782ba8c32996f6d172e034eb1f9476da0336ebd3dc5d2244fe72a039bb121182e85df798da37dfc391a52808e9e8a9e84d3c5e1889a0 SHA512 5229072e5ebaffb1c2efd16f58f72c562fd1ca73d3ce46dccc80672085301f9d35460796f8ac4118ea37f970e45d4e4d4efd3da8e4a88c6a696f1e8b644cf1cd
+DIST ini2toml-0.11.3.gh.tar.gz 94011 BLAKE2B c827b4030f7c80fa749cdccc170dfced7c869836c90e3350e486be94a30541983c79161e6fb4b007258a692abd62e8b724ac758f6c952b0c7b820e9b5679706d SHA512 f1331bc47a2d4593788de9d8b1fdbc2231ac22524aaf3a83695c810e0dcbdce4bb46c48363ea150a583e4b24264d7a25f85ece737b31fa0ec0b8a6a2e098a9d5
DIST ini2toml-0.11.gh.tar.gz 93696 BLAKE2B 0fb52b346065421049fd377a62de4189a6d261ad12c00679c97568a0e7b7f8fc7bf1aae2196b8fc70489d547c0ce9be1347336d25769c7fb383f9fec4d4aa205 SHA512 7329fd3ba31567638fffce22f2370c2055503bd4abc3d7dab30b1828eb54204d31036753efddfab52e79703ce7583f6070e1207c95345096c0751c2d429fd6ea
diff --git a/dev-python/ini2toml/ini2toml-0.11.3.ebuild b/dev-python/ini2toml/ini2toml-0.11.3.ebuild
new file mode 100644
index 000000000000..e330aeb75a3d
--- /dev/null
+++ b/dev-python/ini2toml/ini2toml-0.11.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically conversion of .ini/.cfg files to TOML equivalents"
+HOMEPAGE="
+ https://pypi.org/project/ini2toml/
+ https://github.com/abravalheri/ini2toml/
+"
+SRC_URI="
+ https://github.com/abravalheri/ini2toml/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-20.7[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-0.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/configupdater[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-fmt-0.4.0[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+EPYTEST_IGNORE=(
+ # validate_pyproject is not packaged
+ tests/test_examples.py
+)
+
+src_prepare() {
+ sed -i -e 's:--cov ini2toml --cov-report term-missing::' setup.cfg || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2022-11-25 5:14 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-25 5:14 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 20:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/ini2toml/ Michał Górny
2024-05-28 12:10 Michał Górny
2024-05-14 6:48 Michał Górny
2024-05-13 12:53 Michał Górny
2024-05-13 12:53 Michał Górny
2024-05-11 5:38 Michał Górny
2024-05-08 8:15 Michał Górny
2024-04-21 2:35 Michał Górny
2023-11-25 10:35 Michał Górny
2023-11-25 8:38 Sam James
2023-10-24 5:27 Michał Górny
2023-05-25 15:14 Michał Górny
2023-04-22 16:12 Michał Górny
2023-04-22 10:55 Sam James
2023-03-18 6:15 Michał Górny
2022-12-17 7:15 Michał Górny
2022-12-16 21:51 Sam James
2022-11-15 7:27 Michał Górny
2022-09-22 20:20 Michał Górny
2022-09-20 10:59 Michał Górny
2022-09-20 8:49 Agostino Sarubbo
2022-09-20 7:43 Jakov Smolić
2022-09-20 0:07 Sam James
2022-09-20 0:07 Sam James
2022-09-19 20:56 Jakov Smolić
2022-09-19 20:56 Jakov Smolić
2022-09-19 20:56 Jakov Smolić
2022-09-19 20:44 Jakov Smolić
2022-09-18 6:27 Michał Górny
2022-08-13 9:42 Arthur Zamarin
2022-08-05 12:06 Arthur Zamarin
2022-07-30 19:10 WANG Xuerui
2022-07-30 18:11 Arthur Zamarin
2022-07-29 16:38 Arthur Zamarin
2022-07-29 12:25 James Le Cuirot
2022-07-29 11:51 Arthur Zamarin
2022-07-29 11:49 Arthur Zamarin
2022-07-29 10:26 Arthur Zamarin
2022-07-29 7:47 Arthur Zamarin
2022-07-28 14:12 Yixun Lan
2022-07-27 20:09 Sam James
2022-07-27 20:09 Sam James
2022-06-25 5:11 Michał Górny
2022-06-25 5:11 Michał Górny
2022-05-19 9:27 Agostino Sarubbo
2022-05-12 10:53 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-05-06 20:03 Arthur Zamarin
2022-05-05 5:29 Arthur Zamarin
2022-05-04 4:26 Sam James
2022-05-03 18:48 Arthur Zamarin
2022-05-01 12:20 Jakov Smolić
2022-04-19 11:49 Arthur Zamarin
2022-04-19 11:49 Arthur Zamarin
2022-04-19 11:49 Arthur Zamarin
2022-04-19 11:49 Arthur Zamarin
2022-04-19 11:49 Arthur Zamarin
2022-04-15 5:43 Sam James
2022-04-10 2:35 Matt Turner
2022-04-09 19:42 Arthur Zamarin
2022-04-09 19:40 Arthur Zamarin
2022-04-09 19:37 Arthur Zamarin
2022-04-04 7:22 Yixun Lan
2022-04-02 15:30 James Le Cuirot
2022-04-01 18:41 Arthur Zamarin
2022-04-01 8:08 Michał Górny
2022-03-31 23:03 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1669353274.6dc4578b5cee50fbc3ec3c0f403d3137c7d48621.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox